Bug 243183 - java/openjdk12: fix compilation for powerpc64 elfv2
Summary: java/openjdk12: fix compilation for powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-08 12:12 UTC by Piotr Kubaj
Modified: 2020-01-16 13:59 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
patch (1.62 KB, patch)
2020-01-08 12:12 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.61 KB, patch)
2020-01-08 12:55 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (frebsd-java)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-08 12:12:59 UTC
Created attachment 210526 [details]
patch

Because of issue with macros in precompiled.hpp, --disable-precompiled-headers is necessary.

Since openjdk compiles for elfv1 by default on big-endian ppc64, use a patch to compile for elfv2.
Comment 1 Piotr Kubaj freebsd_committer 2020-01-08 12:55:28 UTC
Created attachment 210530 [details]
v2

Assume elfv1 -> gcc, elfv2 -> clang.
Comment 2 Greg Lewis freebsd_committer 2020-01-14 04:08:10 UTC
I have similar questions as for the openjdk11 patches
Comment 3 Piotr Kubaj freebsd_committer 2020-01-15 22:10:29 UTC
(In reply to Greg Lewis from comment #2)
May I assume this is ok as well?
Comment 4 Greg Lewis freebsd_committer 2020-01-16 03:09:11 UTC
Yes, please go ahead here too
Comment 5 commit-hook freebsd_committer 2020-01-16 09:29:03 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Jan 16 09:29:00 UTC 2020
New revision: 523218
URL: https://svnweb.freebsd.org/changeset/ports/523218

Log:
  java/openjdk12: fix compilation for powerpc64 elfv2

  Because of issue with macros in precompiled.hpp, --disable-precompiled-headers is necessary.

  Since openjdk compiles for elfv1 by default on big-endian ppc64, use a patch to compile for elfv2.

  PR:		243183
  Approved by:	glewis (maintainer)

Changes:
  head/java/openjdk12/Makefile
  head/java/openjdk12/files/patch-make_autoconf_flags-cflags.m4
Comment 6 commit-hook freebsd_committer 2020-01-16 13:53:19 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Jan 16 13:52:17 UTC 2020
New revision: 523231
URL: https://svnweb.freebsd.org/changeset/ports/523231

Log:
  java/openjdk11: correctly patch openejdk11 for ppc64 elfv2

  The previous patch didn't check for architecture.

  PR:		243183

Changes:
  head/java/openjdk11/Makefile
  head/java/openjdk11/files/patch-make_autoconf_flags-cflags.m4
Comment 7 commit-hook freebsd_committer 2020-01-16 13:59:21 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Jan 16 13:59:09 UTC 2020
New revision: 523232
URL: https://svnweb.freebsd.org/changeset/ports/523232

Log:
  java/openjdk12: correctly patch openjdk12 for ppc64 elfv2

  The previous patch didn't check for architecture.

  PR:		243183

Changes:
  head/java/openjdk12/Makefile
  head/java/openjdk12/files/patch-make_autoconf_flags-cflags.m4